petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatSeqBAIJGetArray

gives access to the array where the data for a MATSEQBAIJ matrix is stored

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqBAIJGetArray(Mat A,PetscScalar **array)

Not Collective

### Input Parameter

mat -a MATSEQBAIJ matrix

### Output Parameter

array -pointer to the data

### See Also

MatSeqBAIJRestoreArray(), MatSeqAIJGetArray(), MatSeqAIJRestoreArray()

### Level

intermediate

### Location

src/mat/impls/baij/seq/baij.c

### Implementations

MatSeqBAIJGetArray_SeqBAIJ in src/mat/impls/baij/seq/baij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages